---
title: get-project-daemons
product: vercel
url: /docs/rest-api/daemons/get-project-daemons
canonical_url: "https://vercel.com/docs/rest-api/daemons/get-project-daemons"
last_updated: 2026-10-19
type: reference
prerequisites:
  []
related:
  - /docs/rest-api
summary: Learn about get-project-daemons on Vercel.
install_vercel_plugin: npx plugins add vercel/vercel-plugin
---

# Get project daemons

```http
GET /v1/projects/{idOrName}/daemons
```

Lists project daemons.

## Authentication

**bearerToken**: HTTP bearer

## Path parameters

| Name | Type | Required | Description |
|---|---|---|---|
| `idOrName` | string | Yes | The unique project identifier or the project name |


## Query parameters

| Name | Type | Required | Description |
|---|---|---|---|
| `limit` | string | No | Maximum daemons to return (default: 10, max: 100) |
| `cursor` | string | No | Pagination cursor |
| `scopeType` | string. enum: target, branch, customEnvironment | No | Filter by scope type |
| `scopeValue` | string | No | Filter by scope value (requires scopeType) |
| `teamId` | string | No | The Team identifier to perform the request on behalf of. |
| `slug` | string | No | The Team slug to perform the request on behalf of. |


## Example request

### TypeScript

```typescript
const response = await fetch('https://api.vercel.com/v1/projects/idOrName/daemons?limit=string&cursor=string&scopeType=string&scopeValue=string&teamId=string&slug=string', {
  method: 'GET',
  headers: {
    'Authorization': 'Bearer YOUR_ACCESS_TOKEN',
    'Content-Type': 'application/json',
  },
});

const data = await response.json();
console.log(data);
```

### Next.js

```typescript
'use server';

export async function callEndpoint() {
  const response = await fetch('https://api.vercel.com/v1/projects/idOrName/daemons?limit=string&cursor=string&scopeType=string&scopeValue=string&teamId=string&slug=string', {
    method: 'GET',
    headers: {
      'Authorization': `Bearer ${process.env.VERCEL_ACCESS_TOKEN}`,
      'Content-Type': 'application/json',
    },
    next: { revalidate: 3600 }
  });

  if (!response.ok) {
    throw new Error('Request failed');
  }

  return response.json();
}
```

### cURL

```bash
curl -X GET 'https://api.vercel.com/v1/projects/idOrName/daemons?limit=string&cursor=string&scopeType=string&scopeValue=string&teamId=string&slug=string' \
  -H 'Authorization: Bearer YOUR_ACCESS_TOKEN' \
  -H 'Content-Type: application/json'
```

## Example response

```json
{
  "daemons": [
    {
      "config": {
        "command": [],
        "configuredReplicas": "123",
        "image": {},
        "livenessProbe": {},
        "replicas": "123",
        "resources": {},
        "terminationGracePeriodSeconds": "123"
      },
      "createdAt": "string",
      "deploymentId": "example_id",
      "name": "Example Name",
      "replicas": {
        "desired": "123",
        "items": [
          {}
        ],
        "ready": "123",
        "total": "123"
      },
      "scope": {
        "type": "target",
        "value": "development"
      },
      "status": "ready",
      "updatedAt": "string"
    }
  ],
  "pagination": {
    "count": "123",
    "next": "string"
  }
}
```

## Responses

### 200: No description

Content-Type: `application/json`

```json
{
  "type": "object",
  "required": [
    "daemons",
    "pagination"
  ],
  "properties": {
    "daemons": {
      "type": "array",
      "items": {
        "type": "object",
        "required": [
          "config",
          "createdAt",
          "name",
          "replicas",
          "scope",
          "status",
          "updatedAt"
        ],
        "properties": {
          "config": {
            "type": "object",
            "required": [
              "image",
              "replicas",
              "resources"
            ]
          },
          "createdAt": {
            "type": "string"
          },
          "deploymentId": {
            "type": "string",
            "description": "The deployment whose daemons this configuration comes from. Absent for daemons managed through the daemons API."
          },
          "name": {
            "type": "string"
          },
          "replicas": {
            "type": "object",
            "required": [
              "desired",
              "items",
              "ready",
              "total"
            ]
          },
          "scope": {},
          "status": {
            "type": "string",
            "enum": [
              "ready",
              "reconciling",
              "stopped"
            ]
          },
          "updatedAt": {
            "type": "string"
          }
        }
      }
    },
    "pagination": {
      "type": "object",
      "required": [
        "count"
      ],
      "properties": {
        "count": {
          "type": "number"
        },
        "next": {
          "type": "string"
        }
      }
    }
  }
}
```

### 400: One of the provided values in the request query is invalid.

### 401: The request is not authorized.

### 403: You do not have permission to access this resource.

### 404: No description

### 410: No description

---

## Related

- [daemons endpoints](/docs/rest-api#daemons)

- [REST API overview](/docs/rest-api)

- [OpenAPI spec](https://vercel.com/openapi.json) (machine-readable, all endpoints)

---

[View full sitemap](/docs/sitemap)
